igeo.io

## Class IRhino3dm.SumSurface

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Surface
      - - igeo.io.IRhino3dm.SumSurface

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.SumSurface
      extends IRhino3dm.Surface

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class igeo.io.IRhino3dm.Surface

      `IRhino3dm.Surface.ISO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVec` | `basepoint`
    `IRhino3dm.BoundingBox` | `bbox`
    `IRhino3dm.Curve[]` | `curve`
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SumSurface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISurfaceGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `ISurface` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`

    - ### Methods inherited from class igeo.io.IRhino3dm.Surface

      `domain, getInt, getType, readIso`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### curve

          public IRhino3dm.Curve[] curve

    - #### basepoint

          public IVec basepoint

    - #### bbox

          public IRhino3dm.BoundingBox bbox

  - ### Constructor Detail

    - #### SumSurface

          public SumSurface()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.Surface`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### createIObject

          public ISurface createIObject(IRhino3dm.Rhino3dmFile context,
                                        IServerI s)

      Overrides:
        `createIObject` in class `IRhino3dm.Surface`

    - #### createIGeometry

          public ISurfaceGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                             IServerI s)

      Overrides:
        `createIGeometry` in class `IRhino3dm.Surface`